LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XLayoutConstrains Interface Referencepublished

specifies the layout constraints for a surrounding container. More...

`import"XLayoutConstrains.idl";`

Inheritance diagram for XLayoutConstrains:

## Public Member Functions
com::sun::star::awt::Size | getMinimumSize ()
| returns the minimum size for this component. More...
com::sun::star::awt::Size | getPreferredSize ()
| returns the preferred size for this component. More...
com::sun::star::awt::Size | calcAdjustedSize ([in] com::sun::star::awt::Size aNewSize)
| calculates the adjusted size for a given maximum size. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

specifies the layout constraints for a surrounding container.

## Member Function Documentation

## ◆ calcAdjustedSize()

com::sun::star::awt::Size calcAdjustedSize | ( | [in] com::sun::star::awt::Size | aNewSize | ) |

calculates the adjusted size for a given maximum size.

## ◆ getMinimumSize()

com::sun::star::awt::Size getMinimumSize | ( |  | ) |

returns the minimum size for this component.

## ◆ getPreferredSize()

com::sun::star::awt::Size getPreferredSize | ( |  | ) |

returns the preferred size for this component.

The documentation for this interface was generated from the following file:

- com/sun/star/awt/XLayoutConstrains.idl